*
clear
use ..\cdata\finaldataseta.dta
set more off 

*This do-file contains all the commands required to generate the descriptive
*statistics and figures presented in the data appendix.

******************************************************************************************
********First for the variables used in Methodology A***********************************
******************************************************************************************

*I must begin by tabulating and creating bar graphs for all of my categorical variables
*Tabs and Bar Graphs

tab pos, gen (pos_)
graph bar pos_1 pos_2 pos_3 pos_4 pos_5

tab duration, gen (dur_)
graph bar dur_1 dur_2 dur_3 dur_4 dur_5 dur_6

tab lnduration, gen (lndur_)
graph bar lndur_1 lndur_2 lndur_3 lndur_4 lndur_5 lndur_6

tab tmcy, gen (tmcy_)
graph bar tmcy_1 tmcy_2 tmcy_3 tmcy_4 tmcy_5 tmcy_6 tmcy_7 tmcy_8 tmcy_9 tmcy_10 tmcy_11 tmcy_12 tmcy_13 tmcy_14 tmcy_15 tmcy_16 tmcy_17 tmcy_18 tmcy_19 tmcy_20 tmcy_21 tmcy_22 tmcy_23 tmcy_24 tmcy_25 tmcy_26 tmcy_27 tmcy_28 tmcy_29 tmcy_31 tmcy_32

tab cy, gen (cy_)
graph bar cy_1 cy_2 cy_3 cy_4 cy_5 cy_6

tab abs1cy, gen (abs1cy_)
graph bar abs1cy_1 abs1cy_2

tab abs2cy, gen (abs2cy_)
graph bar abs2cy_1 abs2cy_2

*Then I will summarize my numerical variables, displaying 25th and 75th percentiles in addition to mean, sd, min, and max
tabstat dollars, stat(mean sd p25 p50 p75 min max)
hist dollars

tabstat lndollars, stat(mean sd p25 p50 p75 min max)
hist lndollars

tabstat avgyrlcontract, stat(mean sd p25 p50 p75 min max)
hist avgyrlcontract

tabstat lnavgyrlcon, stat(mean sd p25 p50 p75 min max)
hist lnavgyrlcon

tabstat aicy, stat(mean sd p25 p50 p75 min max)
hist aicy

tabstat aicysq, stat(mean sd p25 p50 p75 min max)
hist aicysq

tabstat mpcy, stat(mean sd p25 p50 p75 min max)
hist mpcy

tabstat mp2cy, stat(mean sd p25 p50 p75 min max)
hist mp2cy

tabstat mp1cy, stat(mean sd p25 p50 p75 min max)
hist mp1cy

tabstat mpcy1, stat(mean sd p25 p50 p75 min max)
hist mpcy1

tabstat mpcy2, stat(mean sd p25 p50 p75 min max)
hist mpcy2

tabstat wscy, stat(mean sd p25 p50 p75 min max)
hist wscy

tabstat lnwscy, stat(mean sd p25 p50 p75 min max)
hist lnwscy

tabstat ws2cy, stat(mean sd p25 p50 p75 min max)
hist ws2cy

tabstat lnws2cy, stat(mean sd p25 p50 p75 min max)
hist lnws2cy

tabstat ws1cy, stat(mean sd p25 p50 p75 min max)
hist ws1cy

tabstat lnws1cy, stat(mean sd p25 p50 p75 min max)
hist lnws1cy

tabstat wscy1, stat(mean sd p25 p50 p75 min max)
hist wscy1

tabstat lnwscy1, stat(mean sd p25 p50 p75 min max)
hist lnwscy1

tabstat wscy2, stat(mean sd p25 p50 p75 min max)
hist wscy2

tabstat lnwscy2, stat(mean sd p25 p50 p75 min max)
hist lnwscy2

tabstat lnfutws, stat(mean sd p25 p50 p75 min max)
hist lnfutws


******************************************************************************************
********Now for the variables used in Methodology B***********************************
******************************************************************************************

clear
set more off

use ..\cdata\finaldatasetb

*I must begin by tabulating and creating bar graphs for all of my categorical variables
*Tabs and Bar Graphs

tab pos, gen (pos_)
graph bar pos_1 pos_2 pos_3 pos_4 pos_5

tab duration, gen (dur_)
graph bar dur_1 dur_2 dur_3 dur_4 dur_5 dur_6

tab lnduration, gen (lndur_)
graph bar lndur_1 lndur_2 lndur_3 lndur_4 lndur_5 lndur_6

tab tmcy, gen (tmcy_)
graph bar tmcy_1 tmcy_2 tmcy_3 tmcy_4 tmcy_5 tmcy_6 tmcy_7 tmcy_8 tmcy_9 tmcy_10 tmcy_11 tmcy_12 tmcy_13 tmcy_14 tmcy_15 tmcy_16 tmcy_17 tmcy_18 tmcy_19 tmcy_20 tmcy_21 tmcy_22 tmcy_23 tmcy_24 tmcy_25 tmcy_26 tmcy_27 tmcy_28 tmcy_29 tmcy_31 tmcy_32

tab cy, gen (cy_)
graph bar cy_1 cy_2 cy_3 cy_4 cy_5 cy_6


*Then I will summarize my numerical variables, displaying 25th and 75th percentiles in addition to mean, sd, min, and max
tabstat dollars, stat(mean sd p25 p50 p75 min max)
hist dollars

tabstat lndollars, stat(mean sd p25 p50 p75 min max)
hist lndollars

tabstat aicy, stat(mean sd p25 p50 p75 min max)
hist aicy

tabstat aicysq, stat(mean sd p25 p50 p75 min max)
hist aicysq

tabstat mpcy, stat(mean sd p25 p50 p75 min max)
hist mpcy

tabstat mp2cy, stat(mean sd p25 p50 p75 min max)
hist mp2cy

tabstat mp1cy, stat(mean sd p25 p50 p75 min max)
hist mp1cy

tabstat mpcy1, stat(mean sd p25 p50 p75 min max)
hist mpcy1

tabstat mpcy2, stat(mean sd p25 p50 p75 min max)
hist mpcy2

tabstat wscy, stat(mean sd p25 p50 p75 min max)
hist wscy

tabstat lnwscy, stat(mean sd p25 p50 p75 min max)
hist lnwscy

tabstat ws2cy, stat(mean sd p25 p50 p75 min max)
hist ws2cy

tabstat lnws2cy, stat(mean sd p25 p50 p75 min max)
hist lnws2cy

tabstat ws1cy, stat(mean sd p25 p50 p75 min max)
hist ws1cy

tabstat lnws1cy, stat(mean sd p25 p50 p75 min max)
hist lnws1cy

tabstat wscy1, stat(mean sd p25 p50 p75 min max)
hist wscy1

tabstat lnwscy1, stat(mean sd p25 p50 p75 min max)
hist lnwscy1

tabstat wscy2, stat(mean sd p25 p50 p75 min max)
hist wscy2

tabstat lnwscy2, stat(mean sd p25 p50 p75 min max)
hist lnwscy2

tabstat wscy3, stat(mean sd p25 p50 p75 min max)
hist wscy3

tabstat lnwscy3, stat(mean sd p25 p50 p75 min max)
hist lnwscy3

tabstat wscy4, stat(mean sd p25 p50 p75 min max)
hist wscy4

tabstat lnwscy4, stat(mean sd p25 p50 p75 min max)
hist lnwscy4

tabstat wscy5, stat(mean sd p25 p50 p75 min max)
hist wscy5

tabstat lnwscy5, stat(mean sd p25 p50 p75 min max)
hist lnwscy5

tabstat wscy6, stat(mean sd p25 p50 p75 min max)
hist wscy6

tabstat lnwscy6, stat(mean sd p25 p50 p75 min max)
hist lnwscy6

tabstat lntotfutws, stat(mean sd p25 p50 p75 min max)
hist lntotfutws
