clear all

capture mkdir ..\cdata

forvalues yy=2005/2014{
set more off
import excel ..\idata\regular_statspg_`yy'season_Raw.xlsx, sheet(leagues_NBA_`yy'_per_game_per_g) firstrow clear

*dropping duplicates (B is player, E is team)
duplicates tag B, gen(dupe)
drop if dupe > 0 & E != "TOT"
	
*renaming variables to create names
rename A rk
rename B player
rename C pos
rename D age
rename E tm
rename W trb
rename X ast
rename Y stl
rename Z bl
rename AA tov
rename AB pf
rename AC pts
	
*destringing all numeric variables
destring age trb ast stl bl tov pf pts, replace

*dropping unnecessary variables
drop dupe
drop rk F G H I J K L M N O P Q R S T U V

gen year = `yy'

save ..\cdata\\`yy'regularstatspgclean.dta, replace

}
*
